Gecode::Set::Int::MinElement< View > Class Template Reference
Other available functionality » Set propagators

Propagator for minimum element More...

`#include <int.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::MixBinaryPropagator< View, PC_SET_ANY, Gecode::Int::IntView, Gecode::Int::PC_INT_BND >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low binary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, View s, Gecode::Int::IntView x)
| Post propagator for x is the minimal element of s.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| MinElement (Space &home, MinElement &p)
| Constructor for cloning p.
| MinElement (Home home, View, Gecode::Int::IntView)
| Constructor for posting.
Protected Member Functions inherited from Gecode::MixBinaryPropagator< View, PC_SET_ANY, Gecode::Int::IntView, Gecode::Int::PC_INT_BND >
| MixBinaryPropagator (Space &home, MixBinaryPropagator &p)
| Constructor for cloning.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::MixBinaryPropagator< View, PC_SET_ANY, Gecode::Int::IntView, Gecode::Int::PC_INT_BND >
View | x0
| View of type View0.
Gecode::Int::IntView | x1
| View of type View1.

## Detailed Description

template<class View>
class Gecode::Set::Int::MinElement< View >

Propagator for minimum element

Requires

#include <gecode/set/int.hh>
int.hh

Definition at line 55 of file int.hh.

## Constructor & Destructor Documentation

## MinElement() [1/2]

template<class View>

Gecode::Set::Int::MinElement< View >::MinElement | ( | Space & | home,
|  | MinElement< View > & | p )

inline protected

Constructor for cloning p.

Definition at line 61 of file minmax.hpp.

## MinElement() [2/2]

template<class View>

Gecode::Set::Int::MinElement< View >::MinElement | ( | Home | home,
|  | View | y0,
|  | Gecode::Int::IntView | y1 )

inline protected

Constructor for posting.

Definition at line 48 of file minmax.hpp.

## Member Function Documentation

## copy()

template<class View>

Actor * Gecode::Set::Int::MinElement< View >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 66 of file minmax.hpp.

## propagate()

template<class View>

ExecStatus Gecode::Set::Int::MinElement< View >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Compute n-th largest element in x0.lub for n = x0.cardMin()-1

Implements Gecode::Propagator.

Definition at line 72 of file minmax.hpp.

## post()

template<class View>

ExecStatus Gecode::Set::Int::MinElement< View >::post | ( | Home | home,
|  | View | s,
|  | Gecode::Int::IntView | x )

inline static

Post propagator for x is the minimal element of s.

Definition at line 53 of file minmax.hpp.

The documentation for this class was generated from the following files:

- gecode/set/int.hh
- gecode/set/int/minmax.hpp